{"models":[{"endpoint_id":"fal-ai/infinitalk/single-text","metadata":{"display_name":"Infinitalk","category":"text-to-video","description":"Infinitalk model generates a talking avatar video from a text and audio file. The avatar lip-syncs to the provided audio with natural facial expressions.","status":"deprecated","tags":[],"updated_at":"2026-11-02T21:34:57.702Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f9396/AGHkC8dUm_lsDNufhenrc_Z0Oiaeje.png","model_url":"https://fal.run/fal-ai/infinitalk/single-text","license_type":"commercial","date":"2025-08-22T15:48:52.311Z","group":{"key":"Infinitalk","label":"Text"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/infinitalk/single-text","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/infinitalk/single-text queue.","x-fal-metadata":{"endpointId":"fal-ai/infinitalk/single-text","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f9396/AGHkC8dUm_lsDNufhenrc_Z0Oiaeje.png","playgroundUrl":"https://fal.ai/models/fal-ai/infinitalk/single-text","documentationUrl":"https://fal.ai/models/fal-ai/infinitalk/single-text/api","about":"MultiTalk model generates a talking avatar video from an image and text.\nConverts text to speech automatically, then generates the avatar speaking\nwith lip-sync."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"InfinitalkSingleTextInput":{"x-fal-order-properties":["image_url","text_input","voice","prompt","num_frames","resolution","seed","acceleration","enable_safety_checker"],"properties":{"num_frames":{"default":145,"maximum":721,"title":"Number of Frames","description":"Number of frames to generate. Must be between 41 to 721.","type":"integer","minimum":41},"prompt":{"title":"Prompt","examples":["An elderly man with a white beard and headphones records audio with a microphone. He appears engaged and expressive, suggesting a podcast or voiceover."],"type":"string","description":"The text prompt to guide video generation."},"acceleration":{"default":"regular","description":"The acceleration level to use for generation.","title":"Acceleration","type":"string","enum":["none","regular","high"]},"text_input":{"title":"Text Input","examples":["Spend more time with people who make you feel alive, and less with things that drain your soul."],"type":"string","description":"The text input to guide video generation."},"image_url":{"title":"Image URL","examples":["https://v3.fal.media/files/panda/HuM21CXMf0q7OO2zbvwhV_c4533aada79a495b90e50e32dc9b83a8.png"],"type":"string","description":"URL of the input image. If the input image does not match the chosen aspect ratio, it is resized and center cropped."},"voice":{"title":"Voice","description":"The voice to use for speech generation","examples":["Bill"],"type":"string","enum":["Aria","Roger","Sarah","Laura","Charlie","George","Callum","River","Liam","Charlotte","Alice","Matilda","Will","Jessica","Eric","Chris","Brian","Daniel","Lily","Bill"]},"resolution":{"default":"480p","description":"Resolution of the video to generate. Must be either 480p or 720p.","title":"Resolution","type":"string","enum":["480p","720p"]},"seed":{"default":42,"maximum":4294967295,"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","type":"integer","minimum":0},"enable_safety_checker":{"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","type":"boolean","default":true}},"required":["image_url","text_input","voice","prompt"],"type":"object","title":"InfiniTalkSingleTextRequest"},"InfinitalkSingleTextOutput":{"x-fal-order-properties":["video","seed"],"properties":{"video":{"description":"The generated video file.","examples":[{"file_size":797478,"content_type":"application/octet-stream","file_name":"6c9dd31e1d9a4482877747a52a661a0a.mp4","url":"https://v3.fal.media/files/elephant/-huMN0zTaXmBr2CqzCMps_6c9dd31e1d9a4482877747a52a661a0a.mp4"}],"$ref":"#/components/schemas/File"},"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"}},"required":["video","seed"],"type":"object","title":"AvatarSingleTextResponse"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"required":["url"],"type":"object","title":"File"}}},"paths":{"/fal-ai/infinitalk/single-text/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/infinitalk/single-text/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/infinitalk/single-text":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfinitalkSingleTextInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/infinitalk/single-text/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfinitalkSingleTextOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-a14b/text-to-video/lora","metadata":{"display_name":"Wan-2.2 Text-to-Video A14B with LoRAs","category":"text-to-video","description":"Wan-2.2 text-to-video is a video model that generates high-quality videos with high visual quality and motion diversity from text prompts. This endpoint supports LoRAs made for Wan 2.2.","status":"active","tags":[],"updated_at":"2026-11-04T20:21:58.465Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92d5/7rPaGC8n8fwRzpR5f1LXG_A7RAUQgT.png","model_url":"https://fal.run/fal-ai/wan/v2.2-a14b/text-to-video/lora","license_type":"commercial","date":"2025-08-07T12:45:10.109Z","group":{"key":"wan-v22-lora","label":"Text to Video (LoRA)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-a14b/text-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-a14b/text-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-a14b/text-to-video/lora","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92d5/7rPaGC8n8fwRzpR5f1LXG_A7RAUQgT.png","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video/lora/api","about":"Endpoint for generating a video from text, with LoRA support."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV22A14bTextToVideoLoraInput":{"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","acceleration","guidance_scale","guidance_scale_2","shift","interpolator_model","num_interpolated_frames","adjust_fps_for_interpolation","video_quality","video_write_mode","loras","reverse_video"],"title":"WanLoRAT2VRequest","properties":{"enable_safety_checker":{"examples":[true],"type":"boolean","default":false,"title":"Enable Safety Checker","description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked."},"negative_prompt":{"type":"string","default":"","title":"Negative Prompt","description":"Negative prompt for video generation."},"interpolator_model":{"examples":["film"],"type":"string","description":"The model to use for frame interpolation. If None, no interpolation is applied.","enum":["none","film","rife"],"title":"Interpolator Model","default":"film"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"shift":{"maximum":10,"examples":[5],"type":"number","default":5,"minimum":1,"title":"Shift","description":"Shift value for the video. Must be between 1.0 and 10.0."},"reverse_video":{"type":"boolean","default":false,"title":"Reverse Video","description":"If true, the video will be reversed."},"acceleration":{"examples":["regular"],"type":"string","description":"Acceleration level to use. The more acceleration, the faster the generation, but with lower quality. The recommended value is 'regular'.","enum":["none","regular"],"title":"Acceleration","default":"regular"},"resolution":{"examples":["720p"],"type":"string","description":"Resolution of the generated video (480p, 580p, or 720p).","enum":["480p","580p","720p"],"title":"Resolution","default":"720p"},"enable_prompt_expansion":{"examples":[false],"type":"boolean","default":false,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."},"video_write_mode":{"examples":["balanced"],"type":"string","description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","enum":["fast","balanced","small"],"title":"Video Write Mode","default":"balanced"},"num_interpolated_frames":{"maximum":4,"examples":[1],"type":"integer","default":1,"minimum":0,"title":"Number of Interpolated Frames","description":"Number of frames to interpolate between each pair of generated frames. Must be between 0 and 4."},"frames_per_second":{"examples":[16],"title":"Frames per Second","default":16,"description":"Frames per second of the generated video. Must be between 4 to 60. When using interpolation and `adjust_fps_for_interpolation` is set to true (default true,) the final FPS will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If `adjust_fps_for_interpolation` is set to false, this value will be used as-is.","anyOf":[{"type":"integer","maximum":60,"minimum":4},{"type":"null"}]},"video_quality":{"examples":["high"],"type":"string","description":"The quality of the output video. Higher quality means better visual quality but larger file size.","enum":["low","medium","high","maximum"],"title":"Video Quality","default":"high"},"enable_output_safety_checker":{"examples":[false],"type":"boolean","default":false,"title":"Enable Output Safety Checker","description":"If set to true, output video will be checked for safety after generation."},"loras":{"items":{"$ref":"#/components/schemas/LoRAWeight"},"type":"array","description":"LoRA weights to be used in the inference.","title":"Loras","default":[]},"guidance_scale":{"maximum":10,"examples":[3.5],"type":"number","default":3.5,"minimum":1,"title":"Guidance Scale (1st Stage)","description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality."},"guidance_scale_2":{"maximum":10,"examples":[4],"type":"number","default":4,"minimum":1,"title":"Guidance Scale (2nd Stage)","description":"Guidance scale for the second stage of the model. This is used to control the adherence to the prompt in the second stage of the model."},"prompt":{"examples":["A close-up of a young woman smiling gently in the rain, raindrops glistening on her face and eyelashes. The video captures the delicate details of her expression and the water droplets, with soft light reflecting off her skin in the rainy atmosphere."],"type":"string","description":"The text prompt to guide video generation.","title":"Prompt"},"adjust_fps_for_interpolation":{"examples":[true],"type":"boolean","default":true,"title":"Adjust FPS for Interpolation","description":"If true, the number of frames per second will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If false, the passed frames per second will be used as-is."},"num_inference_steps":{"maximum":40,"examples":[27],"type":"integer","default":27,"minimum":2,"title":"Number of Inference Steps","description":"Number of inference steps for sampling. Higher values give better quality but take longer."},"aspect_ratio":{"examples":["16:9","9:16","1:1"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","enum":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"num_frames":{"examples":[81],"title":"Number of Frames","description":"Number of frames to generate. Must be between 17 to 161 (inclusive).","type":"integer","default":81,"maximum":161,"minimum":17}}},"WanV22A14bTextToVideoLoraOutput":{"type":"object","required":["video","seed"],"x-fal-order-properties":["video","prompt","seed"],"title":"WanT2VResponse","properties":{"prompt":{"examples":["A close-up of a young woman smiling gently in the rain, raindrops glistening on her face and eyelashes. The video captures the delicate details of her expression and the water droplets, with soft light reflecting off her skin in the rainy atmosphere."],"type":"string","default":"","title":"Prompt","description":"The text prompt used for video generation."},"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/wan/v2.2-woman-output.mp4"}],"description":"The generated video file.","$ref":"#/components/schemas/File"}}},"LoRAWeight":{"type":"object","required":["path"],"x-fal-order-properties":["path","weight_name","scale","transformer"],"title":"LoRAWeight","properties":{"scale":{"description":"\n            The scale of the LoRA weight. This is used to scale the LoRA weight\n            before merging it with the base model.\n        ","type":"number","default":1,"minimum":0,"maximum":4,"title":"Scale"},"path":{"type":"string","description":"URL or the path to the LoRA weights.","title":"Path"},"transformer":{"type":"string","description":"Specifies the transformer to load the lora weight into. 'high' loads into the high-noise transformer, 'low' loads it into the low-noise transformer, while 'both' loads the LoRA into both transformers.","enum":["high","low","both"],"title":"Transformer","default":"high"},"weight_name":{"title":"Weight Name","description":"Name of the LoRA weight. Used only if `path` is a Hugging Face repository, and required only if you have more than 1 safetensors file in the repo.","anyOf":[{"type":"string"},{"type":"null"}]}}},"File":{"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/wan/v2.2-a14b/text-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-5b/text-to-video/distill","metadata":{"display_name":"Wan","category":"text-to-video","description":"Wan 2.2's 5B distill model produces up to 5 seconds of video 720p at 24FPS with fluid motion and powerful prompt understanding","status":"active","tags":[],"updated_at":"2026-11-04T20:21:58.348Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f9a44/U-ajdfZ46XZM-a2guidNK_vSP2SAON.png","model_url":"https://fal.run/fal-ai/wan/v2.2-5b/text-to-video/distill","license_type":"commercial","date":"2025-08-06T17:34:42.197Z","group":{"key":"wan-v22","label":"Text to Video (5B Distill)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max-turbo/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-5b/text-to-video/distill","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-5b/text-to-video/distill queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-5b/text-to-video/distill","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f9a44/U-ajdfZ46XZM-a2guidNK_vSP2SAON.png","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video/distill","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video/distill/api","about":"Endpoint for generating a video from text using the 5B distilled model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV225bTextToVideoDistillInput":{"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","guidance_scale","shift","interpolator_model","num_interpolated_frames","adjust_fps_for_interpolation","video_quality","video_write_mode"],"title":"WanDistillT2VRequest","properties":{"enable_safety_checker":{"examples":[true],"type":"boolean","default":false,"title":"Enable Safety Checker","description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked."},"interpolator_model":{"examples":["film"],"type":"string","description":"The model to use for frame interpolation. If None, no interpolation is applied.","enum":["none","film","rife"],"title":"Interpolator Model","default":"film"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"shift":{"maximum":10,"examples":[5],"type":"number","default":5,"minimum":1,"title":"Shift","description":"Shift value for the video. Must be between 1.0 and 10.0."},"resolution":{"examples":["720p"],"type":"string","description":"Resolution of the generated video (580p or 720p).","enum":["580p","720p"],"title":"Resolution","default":"720p"},"enable_prompt_expansion":{"examples":[false],"type":"boolean","default":false,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."},"video_write_mode":{"examples":["balanced"],"type":"string","description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","enum":["fast","balanced","small"],"title":"Video Write Mode","default":"balanced"},"num_interpolated_frames":{"maximum":4,"examples":[0],"type":"integer","default":0,"minimum":0,"title":"Number of Interpolated Frames","description":"Number of frames to interpolate between each pair of generated frames. Must be between 0 and 4."},"frames_per_second":{"examples":[24],"title":"Frames per Second","default":24,"description":"Frames per second of the generated video. Must be between 4 to 60. When using interpolation and `adjust_fps_for_interpolation` is set to true (default true,) the final FPS will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If `adjust_fps_for_interpolation` is set to false, this value will be used as-is.","anyOf":[{"type":"integer","maximum":60,"minimum":4},{"type":"null"}]},"video_quality":{"examples":["high"],"type":"string","description":"The quality of the output video. Higher quality means better visual quality but larger file size.","enum":["low","medium","high","maximum"],"title":"Video Quality","default":"high"},"enable_output_safety_checker":{"examples":[false],"type":"boolean","default":false,"title":"Enable Output Safety Checker","description":"If set to true, output video will be checked for safety after generation."},"guidance_scale":{"maximum":10,"examples":[1],"type":"number","default":1,"minimum":1,"title":"Guidance Scale (1st Stage)","description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality."},"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","description":"The text prompt to guide video generation.","title":"Prompt"},"adjust_fps_for_interpolation":{"examples":[true],"type":"boolean","default":true,"title":"Adjust FPS for Interpolation","description":"If true, the number of frames per second will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If false, the passed frames per second will be used as-is."},"num_inference_steps":{"maximum":50,"examples":[40],"type":"integer","default":40,"minimum":2,"title":"Number of Inference Steps","description":"Number of inference steps for sampling. Higher values give better quality but take longer."},"aspect_ratio":{"examples":["16:9","9:16","1:1"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","enum":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"num_frames":{"examples":[81],"title":"Number of Frames","description":"Number of frames to generate. Must be between 17 to 161 (inclusive).","type":"integer","default":81,"maximum":161,"minimum":17}}},"WanV225bTextToVideoDistillOutput":{"type":"object","required":["video","seed"],"x-fal-order-properties":["video","prompt","seed"],"title":"WanSmallT2VResponse","properties":{"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","default":"","title":"Prompt","description":"The text prompt used for video generation."},"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/wan/v2.2-small-output.mp4"}],"description":"The generated video file.","$ref":"#/components/schemas/File"}}},"File":{"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/wan/v2.2-5b/text-to-video/distill/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/distill/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/distill":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoDistillInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/distill/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoDistillOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-5b/text-to-video/fast-wan","metadata":{"display_name":"Wan","category":"text-to-video","description":"Wan 2.2's 5B FastVideo model produces up to 5 seconds of video 720p at 24FPS with fluid motion and powerful prompt understanding","status":"active","tags":["text to video","motion"],"updated_at":"2026-11-04T20:21:58.442Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92cc/Y-jQHC5zfMnRI6aiLIxIw_ePJVrFgh.png","model_url":"https://fal.run/fal-ai/wan/v2.2-5b/text-to-video/fast-wan","license_type":"commercial","date":"2025-08-05T23:59:17.192Z","group":{"key":"wan-v22-fastwan","label":"Text to Video (FastWan 5B)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max-turbo/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-5b/text-to-video/fast-wan","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-5b/text-to-video/fast-wan queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-5b/text-to-video/fast-wan","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92cc/Y-jQHC5zfMnRI6aiLIxIw_ePJVrFgh.png","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video/fast-wan","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video/fast-wan/api","about":"Endpoint for generating a video from text using the FastVideo Wan 2.2 model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV225bTextToVideoFastWanInput":{"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","guidance_scale","interpolator_model","num_interpolated_frames","adjust_fps_for_interpolation","video_quality","video_write_mode"],"title":"WanSmallFastVideoT2VRequest","properties":{"negative_prompt":{"type":"string","default":"","title":"Negative Prompt","description":"Negative prompt for video generation."},"interpolator_model":{"examples":["film"],"type":"string","description":"The model to use for frame interpolation. If None, no interpolation is applied.","enum":["none","film","rife"],"title":"Interpolator Model","default":"film"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"resolution":{"examples":["720p"],"type":"string","description":"Resolution of the generated video (580p or 720p).","enum":["480p","580p","720p"],"title":"Resolution","default":"720p"},"enable_prompt_expansion":{"examples":[false],"type":"boolean","default":false,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."},"video_write_mode":{"examples":["balanced"],"type":"string","description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","enum":["fast","balanced","small"],"title":"Video Write Mode","default":"balanced"},"num_interpolated_frames":{"maximum":4,"examples":[0],"type":"integer","default":0,"minimum":0,"title":"Number of Interpolated Frames","description":"Number of frames to interpolate between each pair of generated frames. Must be between 0 and 4."},"frames_per_second":{"examples":[24],"title":"Frames per Second","default":24,"description":"Frames per second of the generated video. Must be between 4 to 60. When using interpolation and `adjust_fps_for_interpolation` is set to true (default true,) the final FPS will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If `adjust_fps_for_interpolation` is set to false, this value will be used as-is.","anyOf":[{"type":"integer","maximum":60,"minimum":4},{"type":"null"}]},"video_quality":{"examples":["high"],"type":"string","description":"The quality of the output video. Higher quality means better visual quality but larger file size.","enum":["low","medium","high","maximum"],"title":"Video Quality","default":"high"},"enable_output_safety_checker":{"examples":[false],"type":"boolean","default":false,"title":"Enable Output Safety Checker","description":"If set to true, output video will be checked for safety after generation."},"guidance_scale":{"maximum":10,"examples":[3.5],"type":"number","default":3.5,"minimum":1,"title":"Guidance Scale","description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality."},"enable_safety_checker":{"examples":[true],"type":"boolean","default":false,"title":"Enable Safety Checker","description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked."},"adjust_fps_for_interpolation":{"examples":[true],"type":"boolean","default":true,"title":"Adjust FPS for Interpolation","description":"If true, the number of frames per second will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If false, the passed frames per second will be used as-is."},"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","description":"The text prompt to guide video generation.","title":"Prompt"},"aspect_ratio":{"examples":["16:9","9:16","1:1"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","enum":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"num_frames":{"examples":[81],"title":"Number of Frames","description":"Number of frames to generate. Must be between 17 to 161 (inclusive).","type":"integer","default":81,"maximum":161,"minimum":17}}},"WanV225bTextToVideoFastWanOutput":{"type":"object","required":["video","seed"],"x-fal-order-properties":["video","prompt","seed"],"title":"WanSmallFastVideoT2VResponse","properties":{"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","default":"","title":"Prompt","description":"The text prompt used for video generation."},"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/wan/v2.2-small-output.mp4"}],"description":"The generated video file.","$ref":"#/components/schemas/File"}}},"File":{"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/wan/v2.2-5b/text-to-video/fast-wan/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/fast-wan/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/fast-wan":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoFastWanInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/fast-wan/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoFastWanOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-a14b/text-to-video/turbo","metadata":{"display_name":"Wan","category":"text-to-video","description":"Wan-2.2 turbo text-to-video is a video model that generates high-quality videos with high visual quality and motion diversity from text prompts. ","status":"active","tags":["text to video","motion"],"updated_at":"2026-11-04T20:21:59.208Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-4.jpg","model_url":"https://fal.run/fal-ai/wan/v2.2-a14b/text-to-video/turbo","license_type":"commercial","date":"2025-07-31T18:01:55.359Z","group":{"key":"wan-v22-turbo","label":"Text to Video (Turbo)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max-turbo/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-a14b/text-to-video/turbo","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-a14b/text-to-video/turbo queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-a14b/text-to-video/turbo","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-4.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video/turbo","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video/turbo/api","about":"Endpoint for generating a video from text using the Wan Turbo model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV22A14bTextToVideoTurboInput":{"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","seed","resolution","aspect_ratio","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","acceleration","video_quality","video_write_mode"],"title":"WanTurboT2VRequest","properties":{"video_write_mode":{"examples":["balanced"],"type":"string","description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","enum":["fast","balanced","small"],"title":"Video Write Mode","default":"balanced"},"video_quality":{"examples":["high"],"type":"string","description":"The quality of the output video. Higher quality means better visual quality but larger file size.","enum":["low","medium","high","maximum"],"title":"Video Quality","default":"high"},"enable_safety_checker":{"examples":[true],"type":"boolean","default":false,"title":"Enable Safety Checker","description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked."},"acceleration":{"examples":["regular"],"type":"string","description":"Acceleration level to use. The more acceleration, the faster the generation, but with lower quality. The recommended value is 'regular'.","enum":["none","regular"],"title":"Acceleration","default":"regular"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","description":"The text prompt to guide video generation.","title":"Prompt"},"resolution":{"examples":["720p"],"type":"string","description":"Resolution of the generated video (480p, 580p, or 720p).","enum":["480p","580p","720p"],"title":"Resolution","default":"720p"},"enable_prompt_expansion":{"examples":[false],"type":"boolean","default":false,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."},"aspect_ratio":{"examples":["16:9","9:16","1:1"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","enum":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"enable_output_safety_checker":{"examples":[false],"type":"boolean","default":false,"title":"Enable Output Safety Checker","description":"If set to true, output video will be checked for safety after generation."}}},"WanV22A14bTextToVideoTurboOutput":{"type":"object","required":["video","seed"],"x-fal-order-properties":["video","prompt","seed"],"title":"WanTurboT2VResponse","properties":{"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","default":"","title":"Prompt","description":"The text prompt used for video generation."},"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/gallery/wan-t2v-turbo.mp4"}],"description":"The generated video file.","$ref":"#/components/schemas/File"}}},"File":{"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/wan/v2.2-a14b/text-to-video/turbo/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/turbo/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/turbo":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoTurboInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/turbo/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoTurboOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-5b/text-to-video","metadata":{"display_name":"Wan v2.2 5B","category":"text-to-video","description":"Wan 2.2's 5B model produces up to 5 seconds of video 720p at 24FPS with fluid motion and powerful prompt understanding","status":"active","tags":[],"updated_at":"2026-11-04T20:21:59.175Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","model_url":"https://fal.run/fal-ai/wan/v2.2-5b/text-to-video","license_type":"commercial","date":"2025-07-28T20:48:02.539Z","group":{"key":"wan-v22","label":"Text to Video (5B)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max-turbo/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-5b/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-5b/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-5b/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-5b/text-to-video/api","about":"Endpoint for generating a video from text using the 5B model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV225bTextToVideoInput":{"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","guidance_scale","shift","interpolator_model","num_interpolated_frames","adjust_fps_for_interpolation","video_quality","video_write_mode"],"title":"WanSmallT2VRequest","properties":{"enable_safety_checker":{"examples":[true],"type":"boolean","default":false,"title":"Enable Safety Checker","description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked."},"negative_prompt":{"type":"string","default":"","title":"Negative Prompt","description":"Negative prompt for video generation."},"interpolator_model":{"examples":["film"],"type":"string","description":"The model to use for frame interpolation. If None, no interpolation is applied.","enum":["none","film","rife"],"title":"Interpolator Model","default":"film"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"shift":{"maximum":10,"examples":[5],"type":"number","default":5,"minimum":1,"title":"Shift","description":"Shift value for the video. Must be between 1.0 and 10.0."},"resolution":{"examples":["720p"],"type":"string","description":"Resolution of the generated video (580p or 720p).","enum":["580p","720p"],"title":"Resolution","default":"720p"},"enable_prompt_expansion":{"examples":[false],"type":"boolean","default":false,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."},"video_write_mode":{"examples":["balanced"],"type":"string","description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","enum":["fast","balanced","small"],"title":"Video Write Mode","default":"balanced"},"num_interpolated_frames":{"maximum":4,"examples":[0],"type":"integer","default":0,"minimum":0,"title":"Number of Interpolated Frames","description":"Number of frames to interpolate between each pair of generated frames. Must be between 0 and 4."},"frames_per_second":{"examples":[24],"title":"Frames per Second","default":24,"description":"Frames per second of the generated video. Must be between 4 to 60. When using interpolation and `adjust_fps_for_interpolation` is set to true (default true,) the final FPS will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If `adjust_fps_for_interpolation` is set to false, this value will be used as-is.","anyOf":[{"type":"integer","maximum":60,"minimum":4},{"type":"null"}]},"video_quality":{"examples":["high"],"type":"string","description":"The quality of the output video. Higher quality means better visual quality but larger file size.","enum":["low","medium","high","maximum"],"title":"Video Quality","default":"high"},"enable_output_safety_checker":{"examples":[false],"type":"boolean","default":false,"title":"Enable Output Safety Checker","description":"If set to true, output video will be checked for safety after generation."},"guidance_scale":{"maximum":10,"examples":[3.5],"type":"number","default":3.5,"minimum":1,"title":"Guidance Scale","description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality."},"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","description":"The text prompt to guide video generation.","title":"Prompt"},"adjust_fps_for_interpolation":{"examples":[true],"type":"boolean","default":true,"title":"Adjust FPS for Interpolation","description":"If true, the number of frames per second will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If false, the passed frames per second will be used as-is."},"num_inference_steps":{"maximum":50,"examples":[40],"type":"integer","default":40,"minimum":2,"title":"Number of Inference Steps","description":"Number of inference steps for sampling. Higher values give better quality but take longer."},"aspect_ratio":{"examples":["16:9","9:16","1:1"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","enum":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"num_frames":{"examples":[81],"title":"Number of Frames","description":"Number of frames to generate. Must be between 17 to 161 (inclusive).","type":"integer","default":81,"maximum":161,"minimum":17}}},"WanV225bTextToVideoOutput":{"type":"object","required":["video","seed"],"x-fal-order-properties":["video","prompt","seed"],"title":"WanSmallT2VResponse","properties":{"prompt":{"examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"],"type":"string","default":"","title":"Prompt","description":"The text prompt used for video generation."},"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/wan/v2.2-small-output.mp4"}],"description":"The generated video file.","$ref":"#/components/schemas/File"}}},"File":{"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/wan/v2.2-5b/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-5b/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV225bTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-a14b/text-to-video","metadata":{"display_name":"Wan-2.2 Text-to-Video A14B","category":"text-to-video","description":"Wan-2.2 text-to-video is a video model that generates high-quality videos with high visual quality and motion diversity from text prompts. ","status":"active","tags":["text to video","motion"],"updated_at":"2026-11-04T20:21:58.525Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-4.jpg","model_url":"https://fal.run/fal-ai/wan/v2.2-a14b/text-to-video","license_type":"commercial","date":"2025-07-28T16:14:33.355Z","group":{"key":"wan-v22-large","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-a14b/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-a14b/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-a14b/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-4.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video/api","about":"Endpoint for generating a video from text."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV22A14bTextToVideoInput":{"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","acceleration","guidance_scale","guidance_scale_2","shift","interpolator_model","num_interpolated_frames","adjust_fps_for_interpolation","video_quality","video_write_mode"],"title":"WanT2VRequest","properties":{"enable_safety_checker":{"examples":[true],"type":"boolean","default":false,"title":"Enable Safety Checker","description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked."},"negative_prompt":{"type":"string","default":"","title":"Negative Prompt","description":"Negative prompt for video generation."},"interpolator_model":{"examples":["film"],"type":"string","description":"The model to use for frame interpolation. If None, no interpolation is applied.","enum":["none","film","rife"],"title":"Interpolator Model","default":"film"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"shift":{"maximum":10,"examples":[5],"type":"number","default":5,"minimum":1,"title":"Shift","description":"Shift value for the video. Must be between 1.0 and 10.0."},"acceleration":{"examples":["regular"],"type":"string","description":"Acceleration level to use. The more acceleration, the faster the generation, but with lower quality. The recommended value is 'regular'.","enum":["none","regular"],"title":"Acceleration","default":"regular"},"resolution":{"examples":["720p"],"type":"string","description":"Resolution of the generated video (480p, 580p, or 720p).","enum":["480p","580p","720p"],"title":"Resolution","default":"720p"},"enable_prompt_expansion":{"examples":[false],"type":"boolean","default":false,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."},"video_write_mode":{"examples":["balanced"],"type":"string","description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","enum":["fast","balanced","small"],"title":"Video Write Mode","default":"balanced"},"num_interpolated_frames":{"maximum":4,"examples":[1],"type":"integer","default":1,"minimum":0,"title":"Number of Interpolated Frames","description":"Number of frames to interpolate between each pair of generated frames. Must be between 0 and 4."},"frames_per_second":{"examples":[16],"title":"Frames per Second","default":16,"description":"Frames per second of the generated video. Must be between 4 to 60. When using interpolation and `adjust_fps_for_interpolation` is set to true (default true,) the final FPS will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If `adjust_fps_for_interpolation` is set to false, this value will be used as-is.","anyOf":[{"type":"integer","maximum":60,"minimum":4},{"type":"null"}]},"video_quality":{"examples":["high"],"type":"string","description":"The quality of the output video. Higher quality means better visual quality but larger file size.","enum":["low","medium","high","maximum"],"title":"Video Quality","default":"high"},"enable_output_safety_checker":{"examples":[false],"type":"boolean","default":false,"title":"Enable Output Safety Checker","description":"If set to true, output video will be checked for safety after generation."},"guidance_scale":{"maximum":10,"examples":[3.5],"type":"number","default":3.5,"minimum":1,"title":"Guidance Scale (1st Stage)","description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality."},"guidance_scale_2":{"maximum":10,"examples":[4],"type":"number","default":4,"minimum":1,"title":"Guidance Scale (2nd Stage)","description":"Guidance scale for the second stage of the model. This is used to control the adherence to the prompt in the second stage of the model."},"prompt":{"examples":["A close-up of a young woman smiling gently in the rain, raindrops glistening on her face and eyelashes. The video captures the delicate details of her expression and the water droplets, with soft light reflecting off her skin in the rainy atmosphere."],"type":"string","description":"The text prompt to guide video generation.","title":"Prompt"},"adjust_fps_for_interpolation":{"examples":[true],"type":"boolean","default":true,"title":"Adjust FPS for Interpolation","description":"If true, the number of frames per second will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If false, the passed frames per second will be used as-is."},"num_inference_steps":{"maximum":40,"examples":[27],"type":"integer","default":27,"minimum":2,"title":"Number of Inference Steps","description":"Number of inference steps for sampling. Higher values give better quality but take longer."},"aspect_ratio":{"examples":["16:9","9:16","1:1"],"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","enum":["16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"num_frames":{"examples":[81],"title":"Number of Frames","description":"Number of frames to generate. Must be between 17 to 161 (inclusive).","type":"integer","default":81,"maximum":161,"minimum":17}}},"WanV22A14bTextToVideoOutput":{"type":"object","required":["video","seed"],"x-fal-order-properties":["video","prompt","seed"],"title":"WanT2VResponse","properties":{"prompt":{"examples":["A close-up of a young woman smiling gently in the rain, raindrops glistening on her face and eyelashes. The video captures the delicate details of her expression and the water droplets, with soft light reflecting off her skin in the rainy atmosphere."],"type":"string","default":"","title":"Prompt","description":"The text prompt used for video generation."},"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/wan/v2.2-woman-output.mp4"}],"description":"The generated video file.","$ref":"#/components/schemas/File"}}},"File":{"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/wan/v2.2-a14b/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/veo3/fast","metadata":{"display_name":"Veo 3 Fast","category":"text-to-video","description":"Faster and more cost effective version of Google's Veo 3! ","status":"deprecated","tags":[],"updated_at":"2026-07-08T16:56:01.863Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-3.jpg","model_url":"https://fal.run/fal-ai/veo3/fast","license_type":"commercial","date":"2025-07-09T16:38:31.244Z","group":{"key":"veo3","label":"Text to Video [fast]"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/veo3/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/veo3/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/veo3/fast","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-3.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/veo3/fast","documentationUrl":"https://fal.ai/models/fal-ai/veo3/fast/api","about":"Generate videos using Google's Veo 3.1 Fast model.\n\nFor best results, prompts should be descriptive and clear. Include:\n- Subject: What you want in the video (object, person, animal, scenery)\n- Context: The background/setting\n- Action: What the subject is doing\n- Style: Film style keywords (horror, noir, cartoon etc.)\n- Camera motion (optional): aerial view, tracking shot etc.\n- Composition (optional): wide shot, close-up etc.\n- Ambiance (optional): Color and lighting details\n\nMore details are available in our [prompting guide](https://blog.fal.ai/mastering-video-generation-with-veo-2-a-comprehensive-guide/).\n\nThe model supports:\n- 720p or 1080p resolution videos\n- 5-8 second duration at 24 FPS\n- Both 16:9 (landscape) and 9:16 (portrait) aspect ratios\n\nSafety filters prevent generation of inappropriate content."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Veo3FastInput":{"x-fal-order-properties":["prompt","aspect_ratio","duration","negative_prompt","resolution","generate_audio","seed","auto_fix","safety_tolerance"],"title":"Veo3TextToVideoInput","required":["prompt"],"type":"object","properties":{"generate_audio":{"title":"Generate Audio","description":"Whether to generate audio for the video.","type":"boolean","default":true},"auto_fix":{"title":"Auto Fix","description":"Whether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting them.","type":"boolean","default":true},"prompt":{"maxLength":20000,"title":"Prompt","examples":["A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google's new Veo3 model It is a super good model. Person replies: Yeah I saw it, it's already available on fal. It's crazy good."],"type":"string","description":"The text prompt describing the video you want to generate"},"duration":{"default":"8s","title":"Duration","description":"The duration of the generated video.","type":"string","enum":["4s","6s","8s"]},"safety_tolerance":{"default":"4","title":"Safety Tolerance","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","type":"string","enum":["1","2","3","4","5","6"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","description":"The aspect ratio of the generated video.","type":"string","enum":["16:9","9:16"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator."},"resolution":{"default":"720p","title":"Resolution","description":"The resolution of the generated video.","type":"string","enum":["720p","1080p"]},"negative_prompt":{"title":"Negative Prompt","anyOf":[{"type":"string"},{"type":"null"}],"description":"A negative prompt to guide the video generation."}}},"Veo3FastOutput":{"x-fal-order-properties":["video"],"title":"Veo3TextToVideoOutput","required":["video"],"type":"object","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File","examples":[{"url":"https://v3.fal.media/files/penguin/Q-2dpcjIoQOldJRL3grsc_output.mp4"}]}}},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"type":"object","properties":{"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}}}}},"paths":{"/fal-ai/veo3/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/veo3/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo3FastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo3FastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/bytedance/seedance/v1/lite/text-to-video","metadata":{"display_name":"Seedance 1.0 Lite","category":"text-to-video","description":"Seedance 1.0 Lite","status":"deprecated","tags":[],"updated_at":"2026-05-13T11:11:51.376Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","model_url":"https://fal.run/fal-ai/bytedance/seedance/v1/lite/text-to-video","license_type":"commercial","date":"2025-06-13T04:30:22.765Z","group":{"key":"seedance-v1","label":"Seedance 1.0 Lite -- Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/bytedance/seedance/v1/lite/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/bytedance/seedance/v1/lite/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/bytedance/seedance/v1/lite/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/bytedance/seedance/v1/lite/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/bytedance/seedance/v1/lite/text-to-video/api","about":"This model has been deprecated, and for the sake of compatibility, we are redirecting requests to seedance 1.0 pro fast.\nPricing will change accordingly."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"BytedanceSeedanceV1LiteTextToVideoInput":{"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","camera_fixed","seed","enable_safety_checker","num_frames"],"title":"SeedanceTextToVideoInput","properties":{"seed":{"title":"Seed","description":"Random seed to control video generation. Use -1 for random.","anyOf":[{"type":"integer"},{"type":"null"}]},"duration":{"type":"string","default":"5","enum":["2","3","4","5","6","7","8","9","10","11","12"],"description":"Duration of the video in seconds","title":"Duration"},"camera_fixed":{"type":"boolean","default":false,"description":"Whether to fix the camera position","title":"Camera Fixed"},"prompt":{"examples":["A little dog is running in the sunshine. The camera follows the dog as it plays in a garden."],"type":"string","description":"The text prompt used to generate the video","title":"Prompt"},"resolution":{"type":"string","default":"720p","enum":["480p","720p","1080p"],"description":"Video resolution - 480p for faster generation, 720p for higher quality","title":"Resolution"},"enable_safety_checker":{"examples":[true],"type":"boolean","default":true,"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker"},"aspect_ratio":{"type":"string","default":"16:9","enum":["21:9","16:9","4:3","1:1","3:4","9:16","9:21"],"description":"The aspect ratio of the generated video","title":"Aspect Ratio"},"num_frames":{"title":"Num Frames","description":"The number of frames to generate. If provided, will override duration.","anyOf":[{"type":"integer","maximum":289,"minimum":29},{"type":"null"}]}}},"BytedanceSeedanceV1LiteTextToVideoOutput":{"type":"object","required":["video","seed"],"x-fal-order-properties":["video","seed"],"title":"SeedanceVideoOutput","properties":{"seed":{"examples":[42],"type":"integer","description":"Seed used for generation","title":"Seed"},"video":{"examples":[{"url":"https://v3.fal.media/files/penguin/qmLZSvOIzTKs6bDFXiEtH_video.mp4"}],"$ref":"#/components/schemas/File","description":"Generated video file"}}},"File":{"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/bytedance/seedance/v1/lite/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bytedance/seedance/v1/lite/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/bytedance/seedance/v1/lite/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BytedanceSeedanceV1LiteTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bytedance/seedance/v1/lite/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BytedanceSeedanceV1LiteTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/veo3","metadata":{"display_name":"Veo 3","category":"text-to-video","description":"Veo 3 by Google, the most advanced AI video generation model in the world. With sound on!","status":"deprecated","tags":[],"updated_at":"2026-07-08T16:55:55.498Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","model_url":"https://fal.run/fal-ai/veo3","license_type":"commercial","date":"2025-06-05T20:59:51.339Z","group":{"key":"veo3","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/veo3","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/veo3 queue.","x-fal-metadata":{"endpointId":"fal-ai/veo3","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/veo3","documentationUrl":"https://fal.ai/models/fal-ai/veo3/api","about":"Generate videos using Google's Veo 3.1 model.\n\nFor best results, prompts should be descriptive and clear. Include:\n- Subject: What you want in the video (object, person, animal, scenery)\n- Context: The background/setting\n- Action: What the subject is doing\n- Style: Film style keywords (horror, noir, cartoon etc.)\n- Camera motion (optional): aerial view, tracking shot etc.\n- Composition (optional): wide shot, close-up etc.\n- Ambiance (optional): Color and lighting details\n\nMore details are available in our [prompting guide](https://blog.fal.ai/mastering-video-generation-with-veo-2-a-comprehensive-guide/).\n\nThe model supports:\n- 720p or 1080p resolution videos\n- 5-8 second duration at 24 FPS\n- Both 16:9 (landscape) and 9:16 (portrait) aspect ratios\n\nSafety filters prevent generation of inappropriate content."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Veo3Input":{"x-fal-order-properties":["prompt","aspect_ratio","duration","negative_prompt","resolution","generate_audio","seed","auto_fix","safety_tolerance"],"title":"Veo3TextToVideoInput","required":["prompt"],"type":"object","properties":{"generate_audio":{"title":"Generate Audio","description":"Whether to generate audio for the video.","type":"boolean","default":true},"auto_fix":{"title":"Auto Fix","description":"Whether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting them.","type":"boolean","default":true},"prompt":{"maxLength":20000,"title":"Prompt","examples":["A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google's new Veo3 model It is a super good model. Person replies: Yeah I saw it, it's already available on fal. It's crazy good."],"type":"string","description":"The text prompt describing the video you want to generate"},"duration":{"default":"8s","title":"Duration","description":"The duration of the generated video.","type":"string","enum":["4s","6s","8s"]},"safety_tolerance":{"default":"4","title":"Safety Tolerance","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","type":"string","enum":["1","2","3","4","5","6"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","description":"The aspect ratio of the generated video.","type":"string","enum":["16:9","9:16"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator."},"resolution":{"default":"720p","title":"Resolution","description":"The resolution of the generated video.","type":"string","enum":["720p","1080p"]},"negative_prompt":{"title":"Negative Prompt","anyOf":[{"type":"string"},{"type":"null"}],"description":"A negative prompt to guide the video generation."}}},"Veo3Output":{"x-fal-order-properties":["video"],"title":"Veo3TextToVideoOutput","required":["video"],"type":"object","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File","examples":[{"url":"https://v3.fal.media/files/penguin/Q-2dpcjIoQOldJRL3grsc_output.mp4"}]}}},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"type":"object","properties":{"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}}}}},"paths":{"/fal-ai/veo3/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/veo3":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo3Input"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo3Output"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTQ","has_more":true}
